1 # Makefile.in generated by automake 1.11 from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 pkgdatadir
= $(datadir)/@PACKAGE@
19 pkgincludedir
= $(includedir)/@PACKAGE@
20 pkglibdir
= $(libdir)/@PACKAGE@
21 pkglibexecdir
= $(libexecdir
)/@PACKAGE@
22 am__cd
= CDPATH
="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA
= $(install_sh
) -c
-m
644
24 install_sh_PROGRAM
= $(install_sh
) -c
25 install_sh_SCRIPT
= $(install_sh
) -c
26 INSTALL_HEADER
= $(INSTALL_DATA
)
27 transform
= $(program_transform_name
)
34 build_triplet
= @build@
35 DIST_COMMON
= README
$(srcdir)/Makefile.am
$(srcdir)/Makefile.in \
36 $(srcdir)/aclocal.in
$(srcdir)/automake.in
$(srcdir)/defs.in \
37 $(srcdir)/parallel-tests.am
39 ACLOCAL_M4
= $(top_srcdir
)/aclocal.m4
40 am__aclocal_m4_deps
= $(top_srcdir
)/m4
/amversion.m4 \
41 $(top_srcdir
)/m4
/auxdir.m4
$(top_srcdir
)/m4
/init.m4 \
42 $(top_srcdir
)/m4
/install-sh.m4
$(top_srcdir
)/m4
/lead-dot.m4 \
43 $(top_srcdir
)/m4
/missing.m4
$(top_srcdir
)/m4
/mkdirp.m4 \
44 $(top_srcdir
)/m4
/options.m4
$(top_srcdir
)/m4
/runlog.m4 \
45 $(top_srcdir
)/m4
/sanity.m4
$(top_srcdir
)/m4
/strip.m4 \
46 $(top_srcdir
)/m4
/substnot.m4
$(top_srcdir
)/m4
/tar.m4 \
47 $(top_srcdir
)/configure.ac
48 am__configure_deps
= $(am__aclocal_m4_deps
) $(CONFIGURE_DEPENDENCIES
) \
50 mkinstalldirs
= $(SHELL
) $(top_srcdir
)/lib
/mkinstalldirs
51 CONFIG_CLEAN_FILES
= defs aclocal-
${APIVERSION} automake-
${APIVERSION}
52 CONFIG_CLEAN_VPATH_FILES
=
55 # If stdout is a non-dumb tty, use colors. If test -t is not supported,
56 # then this fails; a conservative approach. Of course do not redirect
57 # stdout here, just stderr.
59 red
=; grn
=; lgn
=; blu
=; std
=; \
60 test "X$(AM_COLOR_TESTS)" != Xno \
61 && test "X$$TERM" != Xdumb \
62 && { test "X$(AM_COLOR_TESTS)" = Xalways ||
test -t
1 2>/dev
/null
; } \
70 am__vpath_adj_setup
= srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`;
71 am__vpath_adj
= case
$$p in \
72 $(srcdir)/*) f
=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75 am__strip_dir
= f
=`echo $$p | sed -e 's|^.*/||'`;
77 am__nobase_strip_setup
= \
78 srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
80 for p in
$$list; do echo
"$$p"; done | sed
-e
"s|$$srcdirstrip/||"
81 am__nobase_list
= $(am__nobase_strip_setup
); \
82 for p in
$$list; do echo
"$$p $$p"; done | \
83 sed
"s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
84 $(AWK
) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
85 if (++n[$$2] == $(am__install_max)) \
86 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
87 END { for (dir in files) print dir, files[dir] }'
89 sed
'$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
90 sed
'$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
91 # Restructured Text title and section.
92 am__rst_title
= sed
's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
93 am__rst_section
= sed
'p;s/./=/g;p;g'
94 # Put stdin (possibly several lines separated by ". ") in a box.
95 am__text_box
= $(AWK
) '{ \
96 n = split($$0, lines, "\\. "); max = 0; \
97 for (i = 1; i <= n; ++i) \
98 if (max < length(lines[i])) \
99 max = length(lines[i]); \
100 for (i = 0; i < max; ++i) line = line "="; \
102 for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
105 # Solaris 10 'make', and several other traditional 'make' implementations,
106 # pass "-e" to $(SHELL). This contradicts POSIX. Work around the problem
107 # by disabling -e (using the XSI extension "set +e") if it's set.
108 am__sh_e_setup
= case
$$- in
*e
*) set
+e
;; esac
109 # To be inserted before the command running the test. Creates the
110 # directory for the log if needed. Stores in $dir the directory
111 # containing $f, in $tst the test, in $log the log, and passes
112 # TESTS_ENVIRONMENT. Save and restore TERM around use of
113 # TESTS_ENVIRONMENT, in case that unsets it.
116 $(am__vpath_adj_setup
) $(am__vpath_adj
) \
117 srcdir=$(srcdir); export srcdir; \
119 trap
'st=$$?; rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st' \
121 am__odir
=`echo "./$@" | sed 's|/[^/]*$$||'`; \
122 test "x$$am__odir" = x. ||
$(MKDIR_P
) "$$am__odir" || exit
$$?
; \
123 if
test -f
"./$$f"; then
dir=.
/; \
124 elif
test -f
"$$f"; then
dir=; \
125 else dir="$(srcdir)/"; fi
; \
126 tst
=$$dir$$f; log
='$@'; __SAVED_TERM
=$$TERM; \
128 RECHECK_LOGS
= $(TEST_LOGS
)
129 AM_RECURSIVE_TARGETS
= check check-html recheck recheck-html
130 TEST_SUITE_LOG
= test-suite.log
131 TEST_SUITE_HTML
= $(TEST_SUITE_LOG
:.log
=.html
)
132 TEST_EXTENSIONS
= .
test
133 am__test_logs1
= $(TESTS
:=.log
)
134 TEST_LOGS
= $(am__test_logs1
:.
test.log
=.log
)
135 TEST_LOG_COMPILE
= $(TEST_LOG_COMPILER
) $(AM_TEST_LOG_FLAGS
) \
137 TEST_LOGS_TMP
= $(TEST_LOGS
:.log
=.log-t
)
138 DISTFILES
= $(DIST_COMMON
) $(DIST_SOURCES
) $(TEXINFOS
) $(EXTRA_DIST
)
141 APIVERSION
= @APIVERSION@
142 AUTOCONF
= @AUTOCONF@
143 AUTOHEADER
= @AUTOHEADER@
144 AUTOMAKE
= @AUTOMAKE@
146 CYGPATH_W
= @CYGPATH_W@
154 HELP2MAN
= @HELP2MAN@
156 INSTALL_DATA
= @INSTALL_DATA@
157 INSTALL_PROGRAM
= @INSTALL_PROGRAM@
158 INSTALL_SCRIPT
= @INSTALL_SCRIPT@
159 INSTALL_STRIP_PROGRAM
= @INSTALL_STRIP_PROGRAM@
163 LTLIBOBJS
= @LTLIBOBJS@
164 MAKEINFO
= @MAKEINFO@
166 MODIFICATION_DELAY
= @MODIFICATION_DELAY@
168 PACKAGE_BUGREPORT
= @PACKAGE_BUGREPORT@
169 PACKAGE_NAME
= @PACKAGE_NAME@
170 PACKAGE_STRING
= @PACKAGE_STRING@
171 PACKAGE_TARNAME
= @PACKAGE_TARNAME@
172 PACKAGE_VERSION
= @PACKAGE_VERSION@
173 PATH_SEPARATOR
= @PATH_SEPARATOR@
175 PERL_THREADS
= @PERL_THREADS@
176 SET_MAKE
= @SET_MAKE@
181 abs_builddir
= @abs_builddir@
182 abs_srcdir
= @abs_srcdir@
183 abs_top_builddir
= @abs_top_builddir@
184 abs_top_srcdir
= @abs_top_srcdir@
185 am_AUTOCONF
= @am_AUTOCONF@
186 am_AUTOHEADER
= @am_AUTOHEADER@
187 am__leading_dot
= @am__leading_dot@
189 am__untar
= @am__untar@
192 build_alias
= @build_alias@
193 build_cpu
= @build_cpu@
194 build_os
= @build_os@
195 build_vendor
= @build_vendor@
196 builddir
= @builddir@
198 datarootdir
= @datarootdir@
201 exec_prefix = @
exec_prefix@
202 host_alias
= @host_alias@
204 includedir = @
includedir@
206 install_sh
= @install_sh@
208 libexecdir
= @libexecdir@
209 localedir
= @localedir@
210 localstatedir
= @localstatedir@
213 oldincludedir = @
oldincludedir@
215 pkgvdatadir
= @pkgvdatadir@
217 program_transform_name
= @program_transform_name@
220 sh_errexit_works
= @sh_errexit_works@
221 sharedstatedir
= @sharedstatedir@
223 sysconfdir
= @sysconfdir@
224 target_alias
= @target_alias@
225 top_build_prefix
= @top_build_prefix@
226 top_builddir
= @top_builddir@
227 top_srcdir
= @top_srcdir@
257 MAINTAINERCLEANFILES
= $(parallel_tests
)
376 compile_f90_c_cxx.
test \
377 compile_f_c_cxx.
test \
484 distcleancheck.
test \
574 instdir-python.
test \
580 instfail-libtool.
test \
586 instmany-python.
test \
690 nobase-libtool.
test \
731 parallel-tests.
test \
732 parallel-tests2.
test \
733 parallel-tests3.
test \
734 parallel-tests4.
test \
735 parallel-tests5.
test \
736 parallel-tests6.
test \
737 parallel-tests7.
test \
738 parallel-tests8.
test \
739 parallel-tests9.
test \
740 parallel-tests10.
test \
850 subdirbuiltsources.
test \
972 EXTRA_DIST
= ChangeLog-old gen-parallel-tests
$(TESTS
)
974 # Each test case depends on defs, aclocal, and automake.
975 check_SCRIPTS
= defs defs-p aclocal-
$(APIVERSION
) automake-
$(APIVERSION
)
979 .SUFFIXES
: .html .log .
test
980 $(srcdir)/Makefile.in
: $(srcdir)/Makefile.am
$(srcdir)/parallel-tests.am
$(am__configure_deps
)
982 case
'$(am__configure_deps)' in \
984 ( cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
) \
985 && { if
test -f
$@
; then exit
0; else break
; fi
; }; \
989 echo
' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
990 $(am__cd
) $(top_srcdir
) && \
991 $(AUTOMAKE
) --gnu tests
/Makefile
993 Makefile
: $(srcdir)/Makefile.in
$(top_builddir
)/config.status
996 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
;; \
998 echo
' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
999 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
$(am__depfiles_maybe
);; \
1002 $(top_builddir
)/config.status
: $(top_srcdir
)/configure
$(CONFIG_STATUS_DEPENDENCIES
)
1003 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1005 $(top_srcdir
)/configure
: $(am__configure_deps
)
1006 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1007 $(ACLOCAL_M4
): $(am__aclocal_m4_deps
)
1008 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1009 $(am__aclocal_m4_deps
):
1010 defs
: $(top_builddir
)/config.status
$(srcdir)/defs.in
1011 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1012 aclocal-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/aclocal.in
1013 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1014 automake-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/automake.in
1015 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1023 # To be appended to the command running the test. Handle the stdout
1024 # and stderr redirection, and catch the exit status.
1028 if
test -n
'$(DISABLE_HARD_ERRORS)' \
1029 && test $$estatus -eq
99; then \
1032 TERM
=$$__SAVED_TERM; export TERM
; \
1033 $(am__tty_colors
); \
1035 case
" $(XFAIL_TESTS) " in \
1036 *[\ \
]$$f[\ \
]* |
*[\ \
]$$dir$$f[\ \
]*) \
1039 case
$$estatus:$$xfailed in \
1040 0:XFAIL
) col
=$$red; res
=XPASS
;; \
1041 0:*) col
=$$grn; res
=PASS
;; \
1042 77:*) col
=$$blu; res
=SKIP
;; \
1043 99:*) col
=$$red; res
=FAIL
;; \
1044 *:XFAIL
) col
=$$lgn; res
=XFAIL
;; \
1045 *:*) col
=$$red; res
=FAIL
;; \
1047 echo
"$${col}$$res$${std}: $$f"; \
1048 echo
"$$res: $$f (exit: $$estatus)" | \
1049 $(am__rst_section
) >$@
; \
1053 $(TEST_SUITE_LOG
): $(TEST_LOGS
)
1054 @
$(am__sh_e_setup
); \
1055 list
='$(TEST_LOGS)'; \
1056 results
=`for f in $$list; do \
1057 read line < $$f && echo "$$line" || echo FAIL; \
1059 all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
1060 fail
=`echo "$$results" | grep -c '^FAIL'`; \
1061 pass
=`echo "$$results" | grep -c '^PASS'`; \
1062 skip
=`echo "$$results" | grep -c '^SKIP'`; \
1063 xfail
=`echo "$$results" | grep -c '^XFAIL'`; \
1064 xpass
=`echo "$$results" | grep -c '^XPASS'`; \
1065 failures
=`expr $$fail + $$xpass`; \
1066 all=`expr $$all - $$skip`; \
1067 if
test "$$all" -eq
1; then tests
=test; All
=; \
1068 else tests
=tests
; All
="All "; fi
; \
1069 case fail
=$$fail:xpass
=$$xpass:xfail
=$$xfail in \
1070 fail
=0:xpass
=0:xfail
=0) \
1071 msg
="$$All$$all $$tests passed. "; \
1073 fail
=0:xpass
=0:xfail
=*) \
1074 msg
="$$All$$all $$tests behaved as expected"; \
1075 if
test "$$xfail" -eq
1; then xfailures
=failure
; \
1076 else xfailures
=failures
; fi
; \
1077 msg
="$$msg ($$xfail expected $$xfailures). "; \
1079 fail
=*:xpass
=0:xfail
=*) \
1080 msg
="$$fail of $$all $$tests failed. "; \
1082 fail
=*:xpass
=*:xfail
=*) \
1083 msg
="$$failures of $$all $$tests did not behave as expected"; \
1084 if
test "$$xpass" -eq
1; then xpasses
=pass
; \
1085 else xpasses
=passes
; fi
; \
1086 msg
="$$msg ($$xpass unexpected $$xpasses). "; \
1089 echo
>&2 "incorrect case"; exit
4;; \
1091 if
test "$$skip" -ne
0; then \
1092 if
test "$$skip" -eq
1; then \
1093 msg
="$$msg($$skip test was not run). "; \
1095 msg
="$$msg($$skip tests were not run). "; \
1099 echo
"$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1103 echo
".. contents:: :depth: 2"; \
1105 for f in
$$list; do \
1109 *) echo
; cat
$$f;; \
1112 } >$(TEST_SUITE_LOG
).tmp
; \
1113 mv
$(TEST_SUITE_LOG
).tmp
$(TEST_SUITE_LOG
); \
1114 if
test "$$failures" -ne
0; then \
1115 msg
="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
1116 if
test -n
"$(PACKAGE_BUGREPORT)"; then \
1117 msg
="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
1120 test x
"$$VERBOSE" = x ||
$$exit || cat
$(TEST_SUITE_LOG
); \
1121 $(am__tty_colors
); \
1123 echo
$(ECHO_N
) "$$grn$(ECHO_C)"; \
1125 echo
$(ECHO_N
) "$$red$(ECHO_C)"; \
1127 echo
"$$msg" |
$(am__text_box
); \
1128 echo
$(ECHO_N
) "$$std$(ECHO_C)"; \
1131 # Run all the tests.
1133 @list
='$(RECHECK_LOGS)'; test -z
"$$list" ||
rm -f
$$list
1134 @
test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1135 @list
='$(TEST_LOGS)'; \
1136 list
=`for f in $$list; do \
1137 test .log = $$f || echo $$f; \
1138 done | tr '\012\015' ' '`; \
1139 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_LOG
) TEST_LOGS
="$$list"
1142 @list
='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
1143 for r2h in
$$list; do \
1144 if
($$r2h --version
) >/dev
/null
2>&1; then \
1148 if
test -z
"$$R2H"; then \
1149 echo
>&2 "cannot find rst2html, cannot create $@"; \
1155 # Be sure to run check first, and then to convert the result.
1156 # Beware of concurrent executions. Run "check" not "check-TESTS", as
1157 # check-SCRIPTS and other dependencies are rebuilt by the former only.
1158 # And expect check to fail.
1160 @if
$(MAKE
) $(AM_MAKEFLAGS
) check; then \
1161 rv
=0; else rv
=$$?
; \
1163 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_HTML
) || exit
4; \
1165 recheck recheck-html
:
1166 @target
=`echo $@ | sed 's,^re,,'`; \
1167 list
='$(TEST_LOGS)'; \
1168 list
=`for f in $$list; do \
1169 test -f $$f || continue; \
1170 if read line < $$f; then \
1171 case $$line in FAIL*|XPASS*) echo $$f;; esac; \
1172 else echo $$f; fi; \
1173 done | tr '\012\015' ' '`; \
1174 $(MAKE
) $(AM_MAKEFLAGS
) $$target AM_MAKEFLAGS
='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
1176 @p
='$<'; $(am__check_pre
) $(TEST_LOG_COMPILE
) "$$tst" $(am__check_post
)
1178 distdir
: $(DISTFILES
)
1179 @srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1180 topsrcdirstrip
=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1181 list
='$(DISTFILES)'; \
1182 dist_files
=`for file in $$list; do echo $$file; done | \
1183 sed -e "s|^$$srcdirstrip/||;t" \
1184 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1185 case
$$dist_files in \
1186 */*) $(MKDIR_P
) `echo "$$dist_files" | \
1187 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1190 for file in
$$dist_files; do \
1191 if
test -f
$$file ||
test -d
$$file; then d
=.
; else d
=$(srcdir); fi
; \
1192 if
test -d
$$d/$$file; then \
1193 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1194 if
test -d
"$(distdir)/$$file"; then \
1195 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1197 if
test -d
$(srcdir)/$$file && test $$d != $(srcdir); then \
1198 cp
-fpR
$(srcdir)/$$file "$(distdir)$$dir" || exit
1; \
1199 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1201 cp
-fpR
$$d/$$file "$(distdir)$$dir" || exit
1; \
1203 test -f
"$(distdir)/$$file" \
1204 || cp
-p
$$d/$$file "$(distdir)/$$file" \
1209 $(MAKE
) $(AM_MAKEFLAGS
) $(check_SCRIPTS
)
1210 $(MAKE
) $(AM_MAKEFLAGS
) check-TESTS
1215 install-exec
: install-exec-am
1216 install-data
: install-data-am
1217 uninstall: uninstall-am
1220 @
$(MAKE
) $(AM_MAKEFLAGS
) install-exec-am install-data-am
1222 installcheck: installcheck-am
1224 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
1225 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
1226 `test -z '$(STRIP)' || \
1227 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1228 mostlyclean-generic
:
1229 -test -z
"$(TEST_LOGS)" ||
rm -f
$(TEST_LOGS
)
1230 -test -z
"$(TEST_LOGS_TMP)" ||
rm -f
$(TEST_LOGS_TMP
)
1231 -test -z
"$(TEST_SUITE_HTML)" ||
rm -f
$(TEST_SUITE_HTML
)
1232 -test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1237 -test -z
"$(CONFIG_CLEAN_FILES)" ||
rm -f
$(CONFIG_CLEAN_FILES
)
1238 -test .
= "$(srcdir)" ||
test -z
"$(CONFIG_CLEAN_VPATH_FILES)" ||
rm -f
$(CONFIG_CLEAN_VPATH_FILES
)
1240 maintainer-clean-generic
:
1241 @echo
"This command is intended for maintainers to use"
1242 @echo
"it deletes files that may require special tools to rebuild."
1243 -test -z
"$(MAINTAINERCLEANFILES)" ||
rm -f
$(MAINTAINERCLEANFILES
)
1246 clean-am
: clean-generic clean-local mostlyclean-am
1248 distclean: distclean-am
1250 distclean-am
: clean-am distclean-generic
1266 install-dvi
: install-dvi-am
1272 install-html
: install-html-am
1276 install-info
: install-info-am
1282 install-pdf
: install-pdf-am
1286 install-ps
: install-ps-am
1292 maintainer-clean
: maintainer-clean-am
1294 maintainer-clean-am
: distclean-am maintainer-clean-generic
1296 mostlyclean: mostlyclean-am
1298 mostlyclean-am
: mostlyclean-generic
1310 .MAKE
: check-am check-html install-am install-strip recheck \
1313 .PHONY
: all all-am
check check-TESTS check-am check-html
clean \
1314 clean-generic clean-local
distclean distclean-generic distdir \
1315 dvi dvi-am html html-am
info info-am
install install-am \
1316 install-data install-data-am install-dvi install-dvi-am \
1317 install-exec install-exec-am install-html install-html-am \
1318 install-info install-info-am install-man install-pdf \
1319 install-pdf-am install-ps install-ps-am install-strip \
1320 installcheck installcheck-am
installdirs maintainer-clean \
1321 maintainer-clean-generic
mostlyclean mostlyclean-generic pdf \
1322 pdf-am ps ps-am recheck recheck-html
uninstall uninstall-am
1325 $(srcdir)/parallel-tests.am
: gen-parallel-tests Makefile.am
1326 (cd
$(srcdir) && $(SHELL
) .
/gen-parallel-tests
) >$@
1328 $(parallel_tests
): $(parallel_tests
:-p.
test=.
test) Makefile.am
1329 input
=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
1330 sed
's,^\. \./defs,. ./defs-p,' < $(srcdir)/$$input > $@
1333 defs-p
: defs Makefile.am
1334 sed
's,^AM_INIT_AUTOMAKE$$,&([parallel-tests]),' < defs
>$@
1336 clean-local
: clean-local-check
1337 .PHONY
: clean-local-check
1339 -chmod
-R u
+rwx
*.
dir
1340 -rm -rf defs-p
*.
dir
1342 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1343 # Otherwise a system limit (for SysV at least) may be exceeded.